# pxl-scripts

A Helm chart containing PxL script for use in Aria Hub.

# pxl-scripts

A Helm chart containing PxL script for use in Aria Hub.

## Installing the Chart

To install the chart with the release name `pxl-scripts`, use the command below.

```console
$ helm install pxl-scripts oci://projects.registry.vmware.com/adie/helm-charts/pxl-scripts
```

## Upgrading

No upgrades are available at this time.

## Uninstall

Note: when you uninstall the PxL scripts, configured Pixie deployments will remain untouched.

```console
$ helm uninstall <RELEASE NAME> -n <YOUR NAMESPACE>
```

## Requirements

Kubernetes: `>=1.18.0-0`

## Requirements

Kubernetes: `>=1.18.0-0`

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.enabled | bool | `true` |  |
| global.otel.insecure | bool | `true` |  |
| global.otel.url | string | `"aria-telegraf-collector.aria-k8s.svc.cluster.local:4317"` |  |
| px.annotations | object | `{}` |  |
| px.enabled | string | `"-"` |  |
| px.labels | object | `{}` |  |
| scripts.connStats.enabled | string | `"-"` |  |
| scripts.cpuUsage.enabled | string | `"-"` |  |
| scripts.diskRead.enabled | string | `"-"` |  |
| scripts.diskWrite.enabled | string | `"-"` |  |
| scripts.dnsLatency.enabled | string | `"-"` |  |
| scripts.httpLatency.enabled | string | `"-"` |  |
| scripts.httpRequest.enabled | string | `"-"` |  |
| scripts.httpResponse.enabled | string | `"-"` |  |
| scripts.networkStats.enabled | string | `"-"` |  |
| scripts.rss.enabled | string | `"-"` |  |
| scripts.vsize.enabled | string | `"-"` |  |